package com.dancingwoods.choreo;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.Checkable;
import android.widget.CheckedTextView;
import android.widget.LinearLayout;

/*
 * This class is useful for using inside of ListView that needs to have checkable items.
 * 
 * Adapted from http://tokudu.com/2010/android-checkable-linear-layout/
 */
public class CheckableLinearLayout extends LinearLayout implements Checkable {
	private CheckedTextView mCheckBox;
    	
    public CheckableLinearLayout(Context context, AttributeSet attrs) {
        super(context, attrs);
	}
    
    @Override
    protected void onFinishInflate() {
    	super.onFinishInflate();
    	// find checked text view
		int childCount = getChildCount();
		for (int i = 0; i < childCount; ++i) {
			View v = getChildAt(i);
			if (v instanceof CheckedTextView) {
		    	//Log.d("Checkable Layout", "Found checkbox");
				mCheckBox = (CheckedTextView)v;
			   	//Log.d("Checkable Layout", "Just assigned mCheckBox " +String.valueOf(mCheckBox));
			}
		}    	
    }
    
    @Override 
    public boolean isChecked() { 
    	//Log.d("Checkable Layout", "Is this called?");
        return mCheckBox != null ? mCheckBox.isChecked() : false; 
    }
    
    @Override 
    public void setChecked(boolean checked) {
    	//Log.d("Checkable Layout setchecked", String.valueOf(mCheckBox));

    	if (mCheckBox != null) {
        	//Log.d("Checkable Layout", "Checking!");
    		mCheckBox.setChecked(checked);
    	}
    }
    
    @Override 
    public void toggle() { 
    	if (mCheckBox != null) {
    		mCheckBox.toggle();
    	}
    } 
} 