/*  Copyright 2012 Bronwyn Woods
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.dancingwoods.choreo;

import android.app.Activity;
import android.app.ListFragment;
import android.app.LoaderManager;
import android.content.CursorLoader;
import android.content.Loader;
import android.database.Cursor;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;

/**
 * Fragment to display list of dances associated with a tag.
 * @author Bronwyn Woods
 *
 */
public class FragTagDance extends ListFragment implements LoaderManager.LoaderCallbacks<Cursor>{
    
    //private SimpleCursorAdapter mDanceAdapt;
    //private DanceManipListener mDanceListener;
    

    @Override
    public void onAttach(Activity activity) {
        super.onAttach(activity);
//        try {
//            mDanceListener = (DanceManipListener) activity;
//        } catch (ClassCastException e) {
//            throw new ClassCastException(activity.toString() + " must implement TagManipListener");
//        }
    }
 
    @Override    
    public void onActivityCreated(Bundle savedInstanceState){
    	super.onActivityCreated(savedInstanceState);
//    	
//        registerForContextMenu(getListView());
//       
//        getLoaderManager().initLoader(0, null, this);
//         
//        // Create an array to specify the fields we want to display in the list
//        String[] from = new String[]{DanceDb.TAG_DESC};
//
//        // and an array of the fields we want to bind those fields to (in this case just text1)
//        int[] to = new int[]{R.id.tagrow1};
//
//        // Now create a simple cursor adapter and set it to display
//        mDanceAdapt = 
//            new SimpleCursorAdapter(getActivity(), R.layout.row_dance_list, null, from, to);
//        setListAdapter(mDanceAdapt);
   }
    
    @Override
    public void onResume(){
    	super.onResume();
    	getLoaderManager().restartLoader(0,null, this);
    }
    
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.frag_tag_dance, container, false);
    } 
    
    @Override
	public void onListItemClick(ListView l, View v, int position, long id) {
        super.onListItemClick(l, v, position, id);
        //mDanceListener.onDanceSelected(Uri.withAppendedPath(DanceProvider.DANCE_URI, String.valueOf(id)));
    }


    /** Methods for loader management*/
    @Override
    public Loader<Cursor> onCreateLoader(int id, Bundle args) {
        String[] projection = {DanceDb.TAG_ROWID, DanceDb.TAG_DESC};
        
        CursorLoader cursorLoader = new CursorLoader(getActivity(),
                DanceProvider.TAGS_URI, projection, null, null, DanceDb.TAG_DESC);
        return cursorLoader;
    }
 
    @Override
    public void onLoadFinished(Loader<Cursor> loader, Cursor cursor) {
        //mTagAdapt.swapCursor(cursor);
    }
 
    @Override
    public void onLoaderReset(Loader<Cursor> loader) {
        //mTagAdapt.swapCursor(null);
    }
    
}
